Bug 127464 - www/apache13* knobs not honoring "YES"
Summary: www/apache13* knobs not honoring "YES"
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Munechika Sumikawa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-18 10:30 UTC by Aleksandr Stankevic
Modified: 2008-09-30 04:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Stankevic 2008-09-18 10:30:02 UTC
www/apache13* doesn't honor "YES" for WITH_* stuff:

> grep -R "== yes" /usr/ports/www/apache13/
/usr/ports/www/apache13/Makefile:.if defined(WITHOUT_APACHE_EXPAT) && ${WITHOUT_APACHE_EXPAT} == yes
/usr/ports/www/apache13/Makefile:.if defined(WITH_APACHE_SUEXEC) && ${WITH_APACHE_SUEXEC} == yes
/usr/ports/www/apache13/Makefile:.if defined(WITH_APACHE_PERF_TUNING) && ${WITH_APACHE_PERF_TUNING} == yes

So, setting i.e. WITH_APACHE_SUEXEC="YES" won't work, it has to be WITH_APACHE_SUEXEC=yes

There are also same problems for other www/apache13-* ports (apache13-modssl and friends)

Fix: 

make it honor the 'yes' flag case-insensitively or don't look at the YES at all, and only look if it's defined?
How-To-Repeat: cd /usr/ports/www/apache13/
make WITH_APACHE_SUEXEC=YES
find ./ -name suexec #doesn't find anything

make clean
make WITH_APACHE_SUEXEC=yes
find ./ -name suexec # find a compiled suexec binary
Comment 1 Edwin Groothuis freebsd_committer 2008-09-18 10:30:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ache

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2008-09-23 13:34:42 UTC
ache        2008-09-23 12:34:38 UTC

  FreeBSD ports repository

  Modified files:
    www/apache13         Makefile 
  Log:
  Don't check value for WITH_/WITHOUT_ vars, especially for "yes"
  Just relay on they are set.
  
  PR:             127464
  
  Revision  Changes    Path
  1.183     +6 -7      ports/www/apache13/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Andrey A. Chernov freebsd_committer 2008-09-23 13:36:37 UTC
Responsible Changed
From-To: ache->freebsd-ports-bugs

Fixed in apache13, returned to the pool for other apaches
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2008-09-23 16:57:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

It appears the next ports are dinoex's.
Comment 5 dfilter service freebsd_committer 2008-09-28 08:42:33 UTC
dinoex      2008-09-28 07:42:24 UTC

  FreeBSD ports repository

  Modified files:
    www/apache13-modssl  Makefile 
  Log:
  - drop case senstive checks
  PR:             127464
  
  Revision  Changes    Path
  1.190     +4 -4      ports/www/apache13-modssl/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Dirk Meyer freebsd_committer 2008-09-28 08:54:09 UTC
Responsible Changed
From-To: dinoex->sumikawa

Please check ports/www/apache13+ipv6
Comment 7 dfilter service freebsd_committer 2008-09-30 04:13:57 UTC
sumikawa    2008-09-30 03:13:43 UTC

  FreeBSD ports repository

  Modified files:
    www/apache13+ipv6    Makefile 
    www/apache13+ipv6/files patch-ag 
  Log:
  - Don't check value for WITH_/WITHOUT_ vars, especially for "yes"
    Just relay on they are set.
  - sync with www/apache13.
  
  PR:             127464
  
  Revision  Changes    Path
  1.60      +6 -7      ports/www/apache13+ipv6/Makefile
  1.4       +20 -16    ports/www/apache13+ipv6/files/patch-ag
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Munechika Sumikawa freebsd_committer 2008-09-30 04:14:04 UTC
State Changed
From-To: open->closed

I must be last guy.  Commited, thanks.